# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
since 0.4.1, and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 1.3.0 (2024-11-02)

This is a small release, with a few features and bugfixes. The code is now
hosted on https://framagit.org rather than https://gitlab.com.

### Added

- Changed hour and date format in the generated CSV files
- Added the date in the grouped order dashboard
- Changed the display of the last possible date and hour to place an order
- Added the total number of ordered items in the grouped orders overview
- Removed header line and column for grouped order name in the CSV export for emails

### Fixed

- The "reset password" form is now fixed, it was broken since the last release.

## 1.2.0 (2024-07-12)

A small release, with a few features, a new footer and a `/stats` endpoint.

### Added

- Staff users are now able to see the overview page for a grouped order.
- Personal information are now autocompleted automatically
- A `/stats` endpoint has been added, making it possible to see some information
  about the current instance.
- The footer has been changed to include more elements, links to the project and
  documentation.

### Development

- The `main` branch is not used anymore, all the development happens on the
`develop` branch instead.
- All the tests have been grouped in the `tests` folder
- The `requirements.txt` file have been removed in favor of the `pyproject.toml` file.
